public class Address
{
    private String town;  // = "Ostrava!!!";
    private String street;   // = "Stodolni";
    
    public Address(String town, String street) {
        //this.town = town;
        //this.street = street;
        setTown(town); // volani metod v konstruktoru neni problem
        setStreet(street);
    }
    
    public Address() { // alternativni bezparametricky konstruktor
        this("Ostrava!!!", "Stodolni"); // volani kodu z jineho konstruktoru - musi byt na prvnim radku
    }
    
    public void setTown(String town) {
        if (town != null) {
            this.town = town;
        }
    }
    
    public void setStreet(String street) {
        this.street = street;
    }
    
    public String toString() {
        return town + ", " + street;
    }
    
}
