public class Person 
{
    private String name;
    
    private int yearOfBirth;
    
    private Address address;
    
    public static final int CURRENT_YEAR = 2016; // verejna konstanta
    
    public Person(String name, int yob, Address addr) {
        this.name = name;
        yearOfBirth = yob;
        address = addr;
    }
    
    public int getAge() {
        return Person.CURRENT_YEAR - yearOfBirth; // Person. je nepovinne
    }
    
    //public static void setCurrentYear(int year) { // final atribut lze nastavit pouze pri jeho deklaraci. Pak uz nejde menit
    //    Person.CURRENT_YEAR = year;
    //}
    
    public void setAddress(Address addr) {
        address = addr;
    }
    
    public Address getAddress() {
        return address;
    }
    
    public void setName(String name) {
        this.name = name; 
    }
    
    public String getName() {
        return name;
    }
    
    public void setYearOfBirth(int yob) {
        yearOfBirth = yob;
    }
    
    public int getYearOfBirth() {
        return yearOfBirth;
    }
    
    public void writeInfo() {
        System.out.println("Name is " + name + ", address: " + address.toString());
    } 
    
}













